Subject: Re: [netatalk-admins] Talking to HP Deckjet printer

From: [email-masked] (Frank Crawford)
Date: Wed, 31 Dec 1997 11:10:44 +1100

Bill Studenmund <[email-masked]> wrote:
> On Mon, 29 Dec 1997, Palle Girgensohn wrote:
> 
> > Hi,
> 
> Hello,
> 
> >  you should
> > be able to share it as a HP DeskJet 850C by setting the right "type" in
> > AppleTalk.
> 
> [snip how LaserJets show up as LaserWriters]
> 
> > Now, the mac chooser drivers for the deskjet has a serial version and an
> > AppleTalk version. This doesn't have to be LocalTalk, just as long as
> > the protocol is AppleTalk. The Chooser driver doesn't care about the
> > cable type. Ethernet is fine. So, it should somehow be possible to
> > "cheat" the mac that your deskjet is on your AppleTalk network. My guess
> > is that it's enough to set the correct name, but I haven't tried it. If
> > you are willing to inestigate it further, try checking how the printer
> > presents itself in AppleTalk.
> 
> In my experiments, I found it definitly shows up as a DeskWriter. I think
> it even was a DeskWriter870, but that detail's at work.
> 
> I seem to recal, though, that someone tried, and it didn't work. The papd
> server gets recognized by the Mac driver, but it doesn't talk back right.
> Or that's what I recall. Given how the printers report status when hooked
> up serially (a heartbeat character every 2 seconds), I wouldn't doubt that
> HP has its own way for the printer to report status. papd would need to
> imitate this for printing to work.

Previously I have tried this with a printserver I borrowed from work.  I set
the type to DeskWriter and the HP driver found it, but whenever I attempted
to print to it the Mac hung, so I suspect you are correct.

> > Also, I'm pretty sure some of out there in this list have this setup
> > running? Please let us know.
> 
> Yes. I'd love to be provem wrong on this count!
> 
> Take care,
> 
> Bill
									Frank

-- 
Frank Crawford		Email:	[email-masked]	Postal:	PMB 1
Site Systems Manager	Phone:	+61 2 9717 3015			Menai NSW 2234
ANSTO			Fax:	+61 2 9717 9273			Australia

PGP Fingerprint: (8BB1C821) 06 4F 35 82 1D D6 0E 56  9F AB B8 F7 67 AF 1A 9D